# Wallets

- [Wallets Info](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/wallets-info.md): Retrieve data on your organization wallets
- [Create inabit Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/create-inabit-wallet.md): Create an inabit wallet in your organization
- [Edit Wallet Name](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/edit-wallet-name.md): Edit your wallet name (supported on all wallet types)
- [Generate Deposit Address](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/generate-deposit-address.md): Adding a new coin/asset to a wallet (Generates a new wallet blockchain deposit address)
- [Fetch Deposit Address](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/fetch-deposit-address.md): Fetching an existing coin/asset blockchain address within a wallet
- [Save Address to Whitelist](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/save-address-to-whitelist.md): Fetching an existing coin/asset blockchain address within a wallet
- [Archive / Unarchive Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/archive-unarchive-wallet.md): Decide if you wish to archive / unarchive a specific wallet in your organization.
- [Disconnect Exchange Wallet](https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets/disconnect-exchange-wallet.md): Disconnect a specific exchange wallet in your organization.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.inabit.com/api-reference/develop-with-inabit-api/wallets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
